Commit bbb0de17 authored by Mathieu Giraud's avatar Mathieu Giraud
Browse files

.travis.yml: install and use g++-4.8, with C++11 support

Thanks to http://gearchicken.com/wordpress/?p=105
parent 83c50753
...@@ -3,10 +3,18 @@ compiler: gcc ...@@ -3,10 +3,18 @@ compiler: gcc
before_install: before_install:
- sudo pip install cpp-coveralls - sudo pip install cpp-coveralls
# g++-4.8
- sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
- sudo apt-get update -qq
install:
- sudo apt-get install -qq gcc-4.8 g++-4.8
- sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 90
before_script: make data ; make germline before_script: make data ; make germline
script: script:
- g++ --version
### ###
- echo '"Build..."' && echo -en 'travis_fold:start:script.build\\r' - echo '"Build..."' && echo -en 'travis_fold:start:script.build\\r'
- make COVERAGE=1 - make COVERAGE=1
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment